Creates a new job work instruction list.
Request Information
URI Parameters :
None.
Body Parameters :
job_work_instruction_list| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| jobs_id |
Foreign key of the jobs |
globally unique identifier |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs_reference_back_office |
Embedded entity "jobs" using ERP PK when adding/updating |
string |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs |
Embedded entity "jobs" when adding/updating |
jobs |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| work_instruction_details_id |
work instruction details id |
globally unique identifier | |
| work_instruction_details_reference_back_office |
Embedded code "work instruction details" when adding/updating |
string | |
| work_instruction_details |
Embedded entity "work instruction details" when adding/updating |
work_instruction_details | |
| user_id |
Filled by the person that completed that item on the checklist |
globally unique identifier | |
| work_instruction_action_type |
Value from work_instruction_action_type.name |
string | |
| work_instruction_id |
work instruction id |
globally unique identifier |
Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided |
| work_instruction_reference_back_office |
Embedded code "work instruction" when adding/updating |
string |
Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided |
| work_instruction |
Embedded entity "work instruction" when adding/updating |
work_instruction |
Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided |
| name |
The "on what" |
string |
Required Max length: 4000 |
| status |
Status can be Ok,NotOk,Replaced,NotApplicable |
string |
Max length: 50 |
| date_done |
Datetime filled when status goes to one valable status. |
date | |
| remark |
Additional remark from the technician. |
string |
Max length: 255 |
| advise |
Additional advice from the technician. |
string |
Max length: 255 |
| sequence |
To order it. |
integer | |
| reference_back_office |
The Id/Ref of the back office for this job work instruction. Used by Embedded entity |
string |
Max length: 255 |
| group_name |
Name of the group |
string |
Max length: 4000 |
| group_sequence |
Order of the group |
integer | |
| type |
One of the possible types which are Regular, Form, Picture, UsedParts, BillableHours. Regular is the default |
string | |
| instruction_document_count |
Specify how many documents/photos must be added if type is Picture |
integer | |
| db_report_type_id |
When type is Form, you must specify which db_report_type must be filled |
globally unique identifier | |
| db_report_type_name |
When type is Form, you must specify which db_report_type must be filled |
string | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "33220af4-a4b3-47d3-b0c6-13b25b1dfde4",
"jobs_id": "09109a32-08a7-47c3-b818-574a4693323b",
"jobs_reference_back_office": "sample string 3",
"jobs": {
"id": "213771b3-9d6e-4d31-9e3e-276c28755996",
"_parent_id": "ee56806c-232f-41db-a6b1-f4c21993530b",
"_parent_jobs_reference_back_office": "sample string 3",
"project_id": "ada2c87e-114d-49e1-86c5-1d5c1b86de15",
"project_reference_back_office": "sample string 5",
"project": {
"id": "0ba056c3-b5dd-46b9-bc80-3d897c857800",
"_parent_id": "2d74f9a6-82b5-43bb-ba6a-c322752d8f1a",
"root_parent_id": "45a061a9-1ca9-4318-8ca9-55951f0c27b6",
"_parent_reference_back_office": "sample string 4",
"equipment_family_id": "77cf38f8-4d25-4647-8e4d-a550c56d83d6",
"equipment_family_code": "sample string 6",
"equipment_family": {
"id": "809325ef-1b50-4c39-89ae-2d77a74654ef",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "65f2dd80-76f6-43f9-9f00-cc1491722b39",
"_parent_code": "sample string 6",
"sales_organization_id": "8ccf2ca3-558b-4c5d-b3de-fb25ac1bb94d",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "94293940-1edf-4f09-823c-8bb1a815e0d4",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "b914bdd4-46e1-4af5-9516-a5f936656a04",
"db_currency_id": "2a2f017c-d1e2-481c-9cc3-cc64c81033ec",
"db_language_id": "1cefd2f3-f3fc-4278-8e50-1a58361fb7b0",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-16T11:52:01.5390308+00:00"
},
"modified_dateutc": "2026-11-16T11:52:01.5390308+00:00"
},
"equipment_model_id": "b6944009-7b72-4eb7-9e1d-effa990acc84",
"equipment_model_code": "sample string 8",
"equipment_model": {
"id": "71bea786-0b8b-451b-83ae-5581d3a20ae4",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"equipment_brand_id": "17cd524f-8c51-4a6a-824e-6eb51b0edd9a",
"equipment_brand_code": "sample string 6",
"equipment_brand": {
"id": "49cdea7d-f938-42bd-848c-3464197d665e",
"name": "sample string 2",
"code": "sample string 3",
"sales_organization_id": "32441913-b941-445b-933e-20d6948b4c3e",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "94293940-1edf-4f09-823c-8bb1a815e0d4",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "b914bdd4-46e1-4af5-9516-a5f936656a04",
"db_currency_id": "2a2f017c-d1e2-481c-9cc3-cc64c81033ec",
"db_language_id": "1cefd2f3-f3fc-4278-8e50-1a58361fb7b0",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-16T11:52:01.5390308+00:00"
},
"modified_dateutc": "2026-11-16T11:52:01.5390308+00:00"
},
"equipment_family_id": "c831113c-a408-43fe-b272-c04792539e9a",
"equipment_family_code": "sample string 8",
"equipment_family": {
"id": "809325ef-1b50-4c39-89ae-2d77a74654ef",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "65f2dd80-76f6-43f9-9f00-cc1491722b39",
"_parent_code": "sample string 6",
"sales_organization_id": "8ccf2ca3-558b-4c5d-b3de-fb25ac1bb94d",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "94293940-1edf-4f09-823c-8bb1a815e0d4",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "b914bdd4-46e1-4af5-9516-a5f936656a04",
"db_currency_id": "2a2f017c-d1e2-481c-9cc3-cc64c81033ec",
"db_language_id": "1cefd2f3-f3fc-4278-8e50-1a58361fb7b0",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-16T11:52:01.5390308+00:00"
},
"modified_dateutc": "2026-11-16T11:52:01.5390308+00:00"
},
"date_in_production_since": "2026-11-16T11:52:01.5390308+00:00",
"date_out_of_production_since": "2026-11-16T11:52:01.5390308+00:00",
"date_end_support": "2026-11-16T11:52:01.5390308+00:00",
"sales_organization_id": "447cf71a-b568-41f0-a0ee-fd861eaa6e67",
"sales_organization_code": "sample string 13",
"sales_organization": {
"id": "94293940-1edf-4f09-823c-8bb1a815e0d4",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "b914bdd4-46e1-4af5-9516-a5f936656a04",
"db_currency_id": "2a2f017c-d1e2-481c-9cc3-cc64c81033ec",
"db_language_id": "1cefd2f3-f3fc-4278-8e50-1a58361fb7b0",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-16T11:52:01.5390308+00:00"
},
"replacement_period_nb_months": 14,
"warranty_period_nb_months": 15,
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
],
"modified_dateutc": "2026-11-16T11:52:01.5390308+00:00"
},
"project_status_id": "1e606c74-2ee6-4126-a5bc-8ed3730fb1b5",
"project_status_code": "sample string 10",
"project_status": {
"id": "b54664bf-940c-4c7b-91eb-19f80a8209c5",
"name": "sample string 2",
"is_default": true,
"is_closed": true,
"sales_organization_id": "ae6ddd95-6945-4eba-b774-21ebdaa49497",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "94293940-1edf-4f09-823c-8bb1a815e0d4",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "b914bdd4-46e1-4af5-9516-a5f936656a04",
"db_currency_id": "2a2f017c-d1e2-481c-9cc3-cc64c81033ec",
"db_language_id": "1cefd2f3-f3fc-4278-8e50-1a58361fb7b0",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-16T11:52:01.5390308+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-11-16T11:52:01.5390308+00:00"
},
"company_id": "c2290b17-7507-465d-86b9-44f43161a4c1",
"company_code": "sample string 12",
"db_address_id": "e7b7fbf8-41d4-4edb-92d7-1292b5cb233d",
"db_address_code": "sample string 14",
"location": "sample string 15",
"contact_id": "379e1df8-a08a-4398-9382-4044bd370542",
"contact_reference_back_office": "sample string 17",
"owner_user_id": "1b0d701c-f57f-42d3-9bdf-99150a3bb526",
"name": "sample string 19",
"description": "sample string 20",
"reference_back_office": "sample string 21",
"serial_number": "sample string 22",
"barcode": "sample string 23",
"date_start_production": "2026-11-16T11:52:01.5390308+00:00",
"date_create": "2026-11-16T11:52:01.5390308+00:00",
"date_update": "2026-11-16T11:52:01.5390308+00:00",
"updated_by_user_id": "414c4256-ef99-4e23-a9cd-56ea28ee5a55",
"customer_reference": "sample string 28",
"warranty_date_until": "2026-11-16T11:52:01.5390308+00:00",
"last_standard_result_score_1": "sample string 30",
"last_standard_result_score_2": "sample string 31",
"target_standard_result_score_1": "sample string 32",
"target_standard_result_score_2": "sample string 33",
"date_built": "2026-11-16T00:00:00+00:00",
"shutdown_consequence": "sample string 35",
"id2": 36,
"nb_open_jobs": 37,
"date_next_job": "2026-11-16T11:52:01.5390308+00:00",
"date_last_job": "2026-11-16T11:52:01.5390308+00:00",
"nb_jobs_planned": 40,
"nb_jobs_tobeplanned": 41,
"nb_jobs_waitingfurtheraction": 42,
"back_office_timestamp": "2026-11-16T11:52:01.5390308+00:00",
"modified_dateutc": "2026-11-16T11:52:01.5390308+00:00",
"is_mobile_installation": true
},
"job_type_id": "1265a507-03b6-42f5-95e3-f7c7a4b1fca3",
"job_type_code": "sample string 7",
"job_type": {
"id": "5fcffa6f-7d17-4e2a-a3c8-c4d2a3e939be",
"name": "sample string 2",
"sales_organization_id": "8d5902fb-2b05-48cd-b3e2-a787da1e4e8a",
"description": "sample string 4",
"is_default": true,
"modified_dateutc": "2026-11-16T11:52:01.5390308+00:00",
"code": "sample string 7"
},
"job_priority_id": "5749d21d-d153-4c1b-af46-9a501707776d",
"job_priority_code": "sample string 9",
"job_priority": {
"id": "0fc7e9e3-e45d-41b7-845b-88d9880b3fdc",
"name": "sample string 2",
"is_default": true,
"sequence": 4,
"sales_organization_id": "c52e7e19-a080-4303-b862-d0f3743e1423",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "94293940-1edf-4f09-823c-8bb1a815e0d4",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "b914bdd4-46e1-4af5-9516-a5f936656a04",
"db_currency_id": "2a2f017c-d1e2-481c-9cc3-cc64c81033ec",
"db_language_id": "1cefd2f3-f3fc-4278-8e50-1a58361fb7b0",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-16T11:52:01.5390308+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-11-16T11:52:01.5390308+00:00"
},
"job_status_id": "72f5921e-7860-4c1d-878c-282822dd6827",
"job_status_code": "sample string 11",
"db_address_id": "33509b0c-aa89-4e52-8817-b56950224fa0",
"contact_id": "0029b38c-34d0-4009-8870-4f961e03f40b",
"requested_by_company_id": "3b56d9e5-602e-43d6-ba82-ea77fb2bcb0c",
"requested_by_contact_id": "f5635f1f-4db8-4c3d-aa1a-93adbbc83dd4",
"reference_back_office": "sample string 16",
"name": "sample string 17",
"description": "sample string 18",
"working_sequence": 19,
"internal_memo": "sample string 20",
"prejob_information": "sample string 21",
"estimated_time": 22,
"earliest_date_plannable": "2026-11-16T11:52:01.5390308+00:00",
"due_date": "2026-11-16T11:52:01.5390308+00:00",
"date_create": "2026-11-16T11:52:01.5390308+00:00",
"date_update": "2026-11-16T11:52:01.5390308+00:00",
"date_closed": "2026-11-16T11:52:01.5390308+00:00",
"suggested_user_id": "bd752cc6-d703-430f-a095-8a695d9da8a5",
"suggested_user_code": "sample string 29",
"suggested_user": {
"id": "b270a6d9-247c-47d4-a2e7-a000402baed4",
"db_language_id": "896c693d-2929-4584-bfdb-617e73fc1b8a",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-11-16T11:52:01.5390308+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "ba0cd30f-58d7-4740-a50b-2bba7e7e9df5",
"sales_organization": {
"id": "94293940-1edf-4f09-823c-8bb1a815e0d4",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "b914bdd4-46e1-4af5-9516-a5f936656a04",
"db_currency_id": "2a2f017c-d1e2-481c-9cc3-cc64c81033ec",
"db_language_id": "1cefd2f3-f3fc-4278-8e50-1a58361fb7b0",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-16T11:52:01.5390308+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "0efc2f59-d4a0-4963-b8df-095d295c4a69",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "966b2a0f-2351-4e2c-ae34-4c9d64af44a5",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-11-16T11:52:01.5390308+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "06e1b66a-667a-4f57-9138-ec51f1d23629"
},
"suggested_date_start": "2026-11-16T11:52:01.5390308+00:00",
"skill_id": "e09cef59-1900-4849-ba44-66d79b4f4327",
"skill_code": "sample string 32",
"skill": {
"id": "2820dad2-7f4c-43e3-9d96-02007422b417",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"sales_organization_id": "208119ef-a7fe-4638-b0d3-0f3e2f048ea6",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "94293940-1edf-4f09-823c-8bb1a815e0d4",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "b914bdd4-46e1-4af5-9516-a5f936656a04",
"db_currency_id": "2a2f017c-d1e2-481c-9cc3-cc64c81033ec",
"db_language_id": "1cefd2f3-f3fc-4278-8e50-1a58361fb7b0",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-16T11:52:01.5390308+00:00"
},
"modified_dateutc": "2026-11-16T11:52:01.5390308+00:00"
},
"customer_reference": "sample string 33",
"approval_responsible_user_id": "7bc2e3a8-6694-4476-b215-95b1bd0d396b",
"date_reported_by_company": "2026-11-16T11:52:01.5390308+00:00",
"id2": 36,
"company_id": "3b0c806c-dbc2-4cda-a538-81b2a3e98ee6",
"company_code": "sample string 38",
"db_address_name": "sample string 39",
"db_address_street": "sample string 40",
"db_address_street2": "sample string 41",
"db_address_street_number": "sample string 42",
"db_address_city": "sample string 43",
"db_address_zip": "sample string 44",
"db_address_db_country_id": "752479fa-5f4a-4414-95f2-a1aea1eb6854",
"db_address_db_country_code": "sample string 46",
"db_address_phone": "sample string 47",
"db_address_email": "sample string 48",
"db_address_latitude_decimal": 49.0,
"db_address_longitude_decimal": 50.0,
"estimated_quantity_remark": "sample string 51",
"modified_dateutc": "2026-11-16T11:52:01.5390308+00:00"
},
"work_instruction_details_id": "dc57df70-a0df-4c34-b7da-125761f9f8ce",
"work_instruction_details_reference_back_office": "sample string 5",
"user_id": "77ea2792-46d2-4cd7-9c83-8665c05803b9",
"work_instruction_action_type": "sample string 7",
"work_instruction_id": "ca81d386-a7a9-4dc4-b74c-3490fd60d265",
"work_instruction_reference_back_office": "sample string 9",
"name": "sample string 10",
"status": "sample string 11",
"date_done": "2026-11-16T11:52:01.5390308+00:00",
"remark": "sample string 13",
"advise": "sample string 14",
"sequence": 1,
"reference_back_office": "sample string 15",
"group_name": "sample string 16",
"group_sequence": 1,
"type": "sample string 17",
"instruction_document_count": 1,
"db_report_type_id": "0ecc541d-bed6-4952-b2af-1bcff6937c3a",
"db_report_type_name": "sample string 18",
"modified_dateutc": "2026-11-16T11:52:01.5390308+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.